Bug 1072553 - [abrt] libreoffice-core: TemplateLocalView::copyFrom(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: TemplateLocalView::copyFrom(): soffice.bin killed by...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1d15c2fea941a732933f9edbb26...
Keywords:
: 1072061 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-04 18:36 UTC by Leon
Modified: 2014-03-15 15:25 UTC (History)
8 users (show)

Fixed In Version: libreoffice-4.2.2.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 15:25:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mstahl: needinfo-


Attachments (Terms of Use)
File: backtrace (118.94 KB, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: core_backtrace (59.85 KB, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: dso_list (29.22 KB, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: environ (2.20 KB, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-04 18:36 UTC, Leon
no flags Details
File: maps (138.12 KB, text/plain)
2014-03-04 18:37 UTC, Leon
no flags Details
File: open_fds (857 bytes, text/plain)
2014-03-04 18:37 UTC, Leon
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2014-03-04 18:37 UTC, Leon
no flags Details
File: var_log_messages (365 bytes, text/plain)
2014-03-04 18:37 UTC, Leon
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 74787 None None None Never

Description Leon 2014-03-04 18:36:29 UTC
Version-Release number of selected component:
libreoffice-core-4.2.1.1-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/home/leon/Projects/AfriqPortz/Docs/quote example.xls' --splash-pipe=5
crash_function: TemplateLocalView::copyFrom
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 TemplateLocalView::copyFrom at /usr/src/debug/libreoffice-4.2.1.1/sfx2/source/control/templatelocalview.cxx:653
 #1 SfxTemplateManagerDlg::OnTemplateImport at /usr/src/debug/libreoffice-4.2.1.1/sfx2/source/doc/templatedlg.cxx:1042
 #2 SfxTemplateManagerDlg::TBXViewHdl at /usr/src/debug/libreoffice-4.2.1.1/sfx2/source/doc/templatedlg.cxx:498
 #3 ToolBox::MouseButtonDown at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/toolbox.cxx:4013
 #4 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:780
 #5 ImplHandleSalMouseButtonDown at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:2051
 #6 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:2421
 #7 CallCallback at /usr/src/debug/libreoffice-4.2.1.1/vcl/inc/salframe.hxx:243
 #8 X11SalFrame::HandleMouseEvent at /usr/src/debug/libreoffice-4.2.1.1/vcl/unx/generic/window/salframe.cxx:2915
 #9 X11SalFrame::Dispatch at /usr/src/debug/libreoffice-4.2.1.1/vcl/unx/generic/window/salframe.cxx:3989

Comment 1 Leon 2014-03-04 18:36:39 UTC
Created attachment 870565 [details]
File: backtrace

Comment 2 Leon 2014-03-04 18:36:43 UTC
Created attachment 870566 [details]
File: cgroup

Comment 3 Leon 2014-03-04 18:36:46 UTC
Created attachment 870567 [details]
File: core_backtrace

Comment 4 Leon 2014-03-04 18:36:50 UTC
Created attachment 870568 [details]
File: dso_list

Comment 5 Leon 2014-03-04 18:36:53 UTC
Created attachment 870569 [details]
File: environ

Comment 6 Leon 2014-03-04 18:36:55 UTC
Created attachment 870570 [details]
File: exploitable

Comment 7 Leon 2014-03-04 18:36:58 UTC
Created attachment 870571 [details]
File: limits

Comment 8 Leon 2014-03-04 18:37:04 UTC
Created attachment 870572 [details]
File: maps

Comment 9 Leon 2014-03-04 18:37:06 UTC
Created attachment 870573 [details]
File: open_fds

Comment 10 Leon 2014-03-04 18:37:09 UTC
Created attachment 870574 [details]
File: proc_pid_status

Comment 11 Leon 2014-03-04 18:37:11 UTC
Created attachment 870575 [details]
File: var_log_messages

Comment 12 David Tardon 2014-03-05 09:13:58 UTC
*** Bug 1072061 has been marked as a duplicate of this bug. ***

Comment 13 David Tardon 2014-03-05 09:27:26 UTC
Is the crash reproducible?

Comment 14 Leon 2014-03-05 10:11:14 UTC
I will see if I can re-create the event and provide steps.

Comment 15 Michael Stahl 2014-03-06 22:33:32 UTC
can reproduce it:

1. open Templates dialog
2. single click "My Templates"
3. click "Import" button
4. file picker, pick some file, OK
5. crash

if you're actually _inside_ a folder the import doesn't crash,
only on top-level.

there's a fdo bug about it too, 74787

Comment 16 James Wilson Harshaw IV 2014-03-07 15:09:24 UTC
Is anyone upstream working on it?

Comment 17 Michael Stahl 2014-03-10 12:25:39 UTC
fixed by Tamás in upstream master commit:
3952988da628d87e884168d23a352e4b151bf5ea

fixed in upstream libreoffice-4-2 for 4.2.3.1:
b071644756772d0b6930ac2e6d27237b67e7febc

added patch to Fedora 20 branch.

Comment 18 Fedora Update System 2014-03-11 10:46:26 UTC
libreoffice-4.2.2.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-6.fc20

Comment 19 Fedora Update System 2014-03-12 12:25:11 UTC
Package libreoffice-4.2.2.1-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3760/libreoffice-4.2.2.1-6.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-03-15 15:25:37 UTC
libreoffice-4.2.2.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.